
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.CgKylwEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;
import java.util.List;

/**
 * 科研成果-科研论文 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgKylwService extends BaseService<CgKylwEntity> {

	IPage<CgKylwEntity> selectPageByCondition(IPage<CgKylwEntity> page, CgKylwEntity kylw);

	void export(OutputStream os, List<CgKylwEntity> list);

    void importCgKylw(MultipartFile file);

	boolean save(CgKylwEntity cgKylw);

	boolean update(CgKylwEntity cgKylw);

	boolean physicalDeleteByIds(List<Long> ids);
}
